#
# spec file for package qdl
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           qdl
Version:        1.0+git49.20210507
Release:        bp156.2.8
Summary:        A tool for flash images to Qualcomm based systems
License:        BSD-3-Clause
Group:          Development/Tools/Other
URL:            https://github.com/andersson/qdl
#Source          https://github.com/andersson/qdl/archive/master.tar.gz
Source:         %{name}-%{version}.tar.xz
BuildRequires:  systemd-devel
BuildRequires:  libxml2-devel

%description
This tool communicates with USB devices of id 05c6:9008 to upload a flash
loader and use this to flash images. Mostly Qualcomm based systems.

%prep
%setup -q

%build
%make_build CFLAGS="%{optflags} %(xml2-config --cflags) -fpie -g" \
            LDFLAGS="%{optflags} %(xml2-config --libs) -ludev -pie"

%install
%make_install prefix="%{_prefix}"

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
* Sun May  9 2021 musfay@protonmail.com
- Update to version 1.0+git.20210507:
  * firehose: fix >4GB lseek file offsets
  * firehose: call firehose_reset() in ufs provisioning path
  * firehose: drain remaining logs in firehose_reset()
  * firehose: Make "start_sector" a string again
  * qdl: bail out with the sensible error if prog.mbn can not be opened
  * util: allow hexadecimal values for attr_as_unsigned (fix ufs provisioning)
  * firehose: Drain logs on write timeout
  * firehose: Rework firehose_read
  * fixup! program: Make start_sector unsigned in
  * usb: Drop ununsed eot argument to qdl_write
* Wed Jan 27 2021 Martin Pluskal <mpluskal@suse.com>
- Polish spec file:
  * honor distribution flags
  * use more of macros
* Wed Jan 27 2021 musfay@protonmail.com
- Update to version 1.0+git.20190503:
  * qdl: Rework qdl_write to limit write sizes to out_maxpktsize
  * firehose: Wait 3 seconds for payload to boot
  * firehose: Lower the initial read timeout
  * firehose: Remove unused firehose_nop()
  * usb: Silence usb helpers
  * firehose: Continue reading log entries after response
  * sahara_run: properly propagate error
  * program: Correct a/b XBL match
  * qdl: Wait for missing EDL device
  * qdl: Remove debug print for claim return code
